# classes/phing/TaskAdapter.php

Use introspection to "adapt" an arbitrary ( not extending Task, but with similar patterns).

@author Andreas Aderhold andi@binarycloud.com

copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing
version
  $Revision: 526 $

## \TaskAdapter
jump to top

Use introspection to "adapt" an arbitrary ( not extending Task, but with similar patterns).

@author Andreas Aderhold andi@binarycloud.com

Extends from
  \Task
author
  Andreas Aderhold
copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing
version
  $Revision: 526 $

### Properties

`$proxy= ''`

target object

Details

Type

### Methods

`getProxy( ) : object`
Gets the target object.
Returns

Type | Description
--- | ---
object |

`main( ) : void`
Main entry point.
`setProxy( object $o ) : void`
Set the target object.
Parameters

Name | Type | Description
--- | --- | ---
$o | object |

Documentation was generated by DocBlox 0.13.1.